Subject: Re: [GSoC][PATCH v2] commit: add a commit.signOff config variable

From: Chen Jingpiao <[email-masked]>
Date: Tue, 6 Feb 2018 12:37:23 +0800

On 02/05 11:22, Junio C Hamano wrote:
> Chen Jingpiao <[email-masked]> writes:
> 
> > Add the commit.signOff configuration variable to use the -s or --signoff
> > option of git commit by default.
> 
> This is a rather old topic.  Here is one from 2006:
> 
>     https://public-inbox.org/git/[email-masked]/
> 
> which was referred to in another discussion in late 2008:
> 
>     https://public-inbox.org/git/[email-masked]/
>     https://public-inbox.org/git/[email-masked]/
> 
> I am not sure if the reasons why the last effort was retracted still
> apply to this round (the world certainly has changed in the past 10
> years); it would be good to explain why this time it is different
> ;-).
> 
> Assuming that the new configuration variable is a desirable thing to
> add, the change to the code looks OK.  Documentation updates may
> need more thought in the light of past discussions, though.
> 
> Thanks.

I agree with Johannes Schindelin once said "a signoff _has_ to be a
conscious act, or else  it will lose its meaning."
I think I shouldn't add this configuration variable. Thank you.

--
Chen Jingpiao